
# Class: Initial

## Hierarchy

* **Initial**

## Implements

* IDesignAtomsCommand

## Index

### Properties

* [Name](initial.md#static-name)

### Accessors

* [name](initial.md#name)

### Methods

* [execute](initial.md#execute)

## Properties

### `Static` Name

▪ **Name**: *"initial"* = "initial"

## Accessors

###  name

• **get name**(): *string*

**Returns:** *string*

## Methods

###  execute

▸ **execute**(`config`: [IInitialConfig](../interfaces/iinitialconfig.md)‹Product›): *Promise‹void›*

**Parameters:**

Name | Type |
------ | ------ |
`config` | [IInitialConfig](../interfaces/iinitialconfig.md)‹Product› |

**Returns:** *Promise‹void›*
